// 活动报告接口

import {get,post} from './http'

// 获取报告详情
export const apiGetReportDetail=(params)=>{
    return get('/report/research_report',params)
}

//获取周度报告详情
export const apiGetWeekReportDetail=params=>{
    return get('/report/research_report_chapter',params)
}

/**
 * 研报详情
 * @param report_id 
 */
export const apiReportDetail=params=>{
    return get('/report/detail',params)
}

/**
 * 章节详情
 * @param report_chapter_id
 */
export const apiChapterDetail=params=>{
    return get('/report/chapter/detail',params)
}

/**
 * 章节详情中指标数据
 * @param report_chapter_id
 */
export const apiChapterTickerValue=params=>{
    return get('/report/chapter/ticker',params)
}

/**
 * 报告详情分享图片
 * @param source （目前写死的）rddp_share_img
 * @param pars json字符串类型参数{title:图片上的富文本,time_format:时间（没啥用）,background_img:背景图}
 */
export const apiRddpShareImg=params=>{
    return post('/report/detail/rddp_share_img',{source:'rddp_share_img',...params})
}

/**
 * 报告对应的ppt图片
 * @param report_id 报告id
 * @param report_chapter_id 报告章节id
 */
export const apiReportPPtImgs=params=>{
    return get('/report/ppt_img',params)
}

/**
 * banner埋点
 * @param  "banner_url": "wwwwwwww",
 * @param   "first_source": 1, //一级来源 1小程序移动 2小程序pc 3研报官网
 * @param   "second_source": 1 //二级来源 1首页 2研报详情页
 * @returns 
 */
export const apiPublicBannerMark = params=>{
    return post('/public/banner/mark',params)
}

/**
 * banner图列表
 * @param  "banner_url": "wwwwwwww",
 * @param   "first_source": 1, //一级来源 1小程序移动 2小程序pc 3研报官网
 * @param   "second_source": 1 //二级来源 1首页 2研报详情页
 * @returns 
 */
export const apiPublicBannerList = params=>{
    return get('/public/banner/list',params)
}

/**
 * banner历史图列表
 * @returns 
 */
export const bannerHistoryList = params=>{
    return get('/public/banner_history/list',params)
}

/**
 * banner图获取报名二维码
 * @returns 
 */
export const getBannerQrcode = params=>{
    return get('/public/banner/get_qrcode',params)
}


/**
 * banner图详情
 * @returns 
 */
export const getBannerDetail = params=>{
    return get('/public/banner/detail',params)
}